Doomsday Engine - Feature #1442

PC Speaker Sounds/Emulation
2007-03-31 13:07 - jimigrey

Status: Rejected Start date: 2007-03-31
Priority: Lowest % Done: 0%
Assignee:

Category:

Target version:

Description

I'd like to have a possibility to enable the PC Speaker sounds. They could be played through the PC Speaker or they could be
emulated through the sound card, if you have one ;)

For the emulation there could be two options:
1) Play the sounds the same way as the PC Speaker plays them -> only one sound can be played at a time.
2) Play the sounds the same way as the wave sounds, using the amount of sound channels as a limit.

Also, if you have PC Speaker sounds enabled.. | think music should be played, unless you turn the music off.

Labels: Sound

History

#1 - 2007-04-30 17:02 - skyjake

Logged In: YES
user_id=717323
Originator: NO

This is an intriguing idea, nostalgia-wise... I'm not sure if it rises very high on the priority list, though. Maybe if we could find the original PC speaker
sound code, it must be in the original sources somewhere...

#2 - 2007-05-22 17:42 - jimigrey

Logged In: YES

user_id=1005349

Originator: YES

Some more description...

The sound volume should affect the emulated PC Speaker sounds. Same with 16-bit, frequency, 3d sounds and reverb.

#3 - 2013-10-18 14:21 - skyjake

- Priority changed from Normal to Lowest

#4 - 2013-10-18 14:21 - skyjake
- Tags set to Audio

#5 - 2019-11-29 12:53 - skyjake

- Status changed from New to Rejected
